Package org.eclipse.emf.cdo.common.revision.delta

# Interface CDOMoveFeatureDelta

All Superinterfaces:
  `CDOFeatureDelta`

public interface CDOMoveFeatureDelta extends CDOFeatureDelta
A `feature delta` that represents a move of one element of a many-valued `feature` to a different list position.

Author:
  Simon McDuff
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

`CDOFeatureDelta.Type`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

`NO_INDEX, UNKNOWN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`int`
`getNewPosition()`
`int`
`getOldPosition()`
`Object`
`getValue()`

### Methods inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

`accept, apply, applyTo, copy, getFeature, getType, isStructurallyEqual`

## Method Details

### getOldPosition

int getOldPosition()

### getNewPosition

int getNewPosition()

### getValue

Object getValue()

Since:
  4.0